<?php
/*
 * Plugin Name: AMS To APS Converter
 * Plugin URI: http://www.webstudio55.com/plugins/arena/
 * Description: This plugin is only for AMS (version 1.1) to APS (version 1.2) Convertion.
 * Version: 1.0
 * Text Domain: ams-text
 * Author: Shahzad Anjum
 * Author URI: http://www.webstudio55.com/
*/
	// add menu page
	add_action('admin_menu', 'register_ams_to_aps_menu_page');
	
	function register_ams_to_aps_menu_page() {
		add_submenu_page('tools.php', 'AMS To APS', 'AMS To APS', 'manage_options', 'ams-to-aps', 'build_ams_to_aps_page');
	}
	
	// add action register our post type ams-phones
	add_action( 'init', 'register_cpt_ams_to_aps' );

	// Register our Custom Post type as ams-phones
	function register_cpt_ams_to_aps() {
		
		// labels text for our post type ams-phones
		$labels = array(
			// post type general name
			'name' => __( 'AMS Phones', 'ams-text' ),
			// post type singular name
			'singular_name' => __( 'AMS Phone', 'ams-text' ),
			'name_admin_bar' => __( 'AMS Phone', 'ams-text' ),
			'menu_name' => __( 'AMS Phones', 'ams-text' ),
			'add_new' => __( 'Add New AMS Phone', 'ams-text' ),
			'add_new_item' => __( 'Add New AMS Phone', 'ams-text' ),
			'edit_item' => __( 'Edit AMS Phone', 'ams-text' ),
			'new_item' => __( 'New AMS Phone', 'ams-text' ),
			'view_item' => __( 'View AMS Phone', 'ams-text' ),
			'search_items' => __( 'Search AMS Phones', 'ams-text' ),
			'not_found' =>  __( 'No AMS Phones found', 'ams-text' ),
			'not_found_in_trash' => __( 'No AMS Phones found in Trash', 'ams-text' )
		);
		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'show_in_nav_menus' => false,
			'menu_icon' => 'dashicons-smartphone',
			'capability_type' => 'post',
			'hierarchical' => false,
			'taxonomies' => array('ams-brands'),
			'has_archive' => true,
			'menu_position' => 6,
			'supports' => array( 'title', 'editor', 'thumbnail', 'comments' ),
			'rewrite' => array('slug' => 'phone', 'with_front' => false)
		);
		register_post_type( 'ams-phones', $args );
	}

	// add action register our post type ams-comparisons
	add_action( 'init', 'register_cpt_ams_comparisons' );

	// Register our Custom Post type as ams-comparisons
	function register_cpt_ams_comparisons() {
		
		// labels text for our post type aps-comparisons
		$labels = array(
			// post type general name
			'name' => __( 'AMS Comparisons', 'ams-text' ),
			// post type singular name
			'singular_name' => __( 'AMS Comparison', 'ams-text' ),
			'name_admin_bar' => __( 'AMS Comparison', 'ams-text' ),
			'menu_name' => __( 'AMS Comparisons', 'ams-text' ),
			'add_new' => __( 'Add New AMS Comparison', 'ams-text' ),
			'add_new_item' => __( 'Add New AMS Comparison', 'ams-text' ),
			'edit_item' => __( 'Edit AMS Comparison', 'ams-text' ),
			'new_item' => __( 'New AMS Comparison', 'ams-text' ),
			'view_item' => __( 'View AMS Comparison', 'ams-text' ),
			'search_items' => __( 'Search AMS Comparisons', 'ams-text' ),
			'not_found' =>  __( 'No AMS Comparisons found', 'ams-text' ),
			'not_found_in_trash' => __( 'No AMS Comparisons found in Trash', 'ams-text' )
		);
		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'show_in_nav_menus' => false,
			'capability_type' => 'post',
			'hierarchical' => false,
			'taxonomies' => array('post_tag'),
			'has_archive' => true,
			'show_in_menu' => 'edit.php?post_type=ams-products',
			'supports' => array( 'title', 'thumbnail' ),
			'rewrite' => array('slug' => 'comparison', 'with_front' => false)
		);	
		register_post_type( 'ams-comparisons', $args );
	}
	
	// add action register our post type aps-products
	add_action( 'init', 'register_cpt_aps_products' );

	// Register our Custom Post type as aps-products
	function register_cpt_aps_products() {
		
		// labels text for our post type aps-products
		$labels = array(
			// post type general name
			'name' => __( 'APS Products', 'aps-text' ),
			// post type singular name
			'singular_name' => __( 'APS Product', 'aps-text' ),
			'name_admin_bar' => __( 'APS Product', 'aps-text' ),
			'menu_name' => __( 'APS Products', 'aps-text' ),
			'add_new' => __( 'Add New APS Product', 'aps-text' ),
			'add_new_item' => __( 'Add New APS Product', 'aps-text' ),
			'edit_item' => __( 'Edit APS Product', 'aps-text' ),
			'new_item' => __( 'New APS Product', 'aps-text' ),
			'view_item' => __( 'View APS Product', 'aps-text' ),
			'search_items' => __( 'Search APS Products', 'aps-text' ),
			'not_found' =>  __( 'No APS Products found', 'aps-text' ),
			'not_found_in_trash' => __( 'No APS Products found in Trash', 'aps-text' )
		);
		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'show_in_nav_menus' => false,
			'menu_icon' => 'dashicons-products',
			'capability_type' => 'post',
			'hierarchical' => false,
			'taxonomies' => array('aps-brands'),
			'has_archive' => true,
			'menu_position' => 6,
			'supports' => array( 'title', 'editor', 'thumbnail', 'comments' ),
			'rewrite' => array('slug' => 'phone', 'with_front' => false)
		);	
		register_post_type( 'aps-products', $args );
	}

	// add action register our post type aps-comparisons
	add_action( 'init', 'register_cpt_aps_comparisons' );

	// Register our Custom Post type as aps-comparisons
	function register_cpt_aps_comparisons() {
		
		// labels text for our post type aps-comparisons
		$labels = array(
			// post type general name
			'name' => __( 'APS Comparisons', 'aps-text' ),
			// post type singular name
			'singular_name' => __( 'APS Comparison', 'aps-text' ),
			'name_admin_bar' => __( 'APS Comparison', 'aps-text' ),
			'menu_name' => __( 'APS Comparisons', 'aps-text' ),
			'add_new' => __( 'Add New APS Comparison', 'aps-text' ),
			'add_new_item' => __( 'Add New APS Comparison', 'aps-text' ),
			'edit_item' => __( 'Edit APS Comparison', 'aps-text' ),
			'new_item' => __( 'New APS Comparison', 'aps-text' ),
			'view_item' => __( 'View APS Comparison', 'aps-text' ),
			'search_items' => __( 'Search APS Comparisons', 'aps-text' ),
			'not_found' =>  __( 'No APS Comparisons found', 'aps-text' ),
			'not_found_in_trash' => __( 'No APS Comparisons found in Trash', 'aps-text' )
		);
		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'show_in_nav_menus' => false,
			'capability_type' => 'post',
			'hierarchical' => false,
			'taxonomies' => array('post_tag'),
			'has_archive' => true,
			'show_in_menu' => 'edit.php?post_type=aps-products',
			'supports' => array( 'title', 'thumbnail' ),
			'rewrite' => array('slug' => 'comparison', 'with_front' => false)
		);	
		register_post_type( 'aps-comparisons', $args );
	}
	
	// build AMS to APS settings page
	function build_ams_to_aps_page() {
		// process the convertion
		$success = false;
		$nonce = (isset($_POST['ams-nonce'])) ? trim($_POST['ams-nonce']) : null;
		
		if (isset($_POST['ams-to-aps']) && wp_verify_nonce($nonce, 'ams_nonce')) {
			global $wpdb;
			
			// set php timeout
			ini_set('max_execution_time', 1200);
			
			// change taxonomy brands name
			$wpdb->query( $wpdb->prepare("UPDATE `" .$wpdb->term_taxonomy ."` SET  `taxonomy` =  'aps-brands' WHERE `taxonomy` = %s", 'ams-brands') );
			
			// old meta keys
			$meta_keys = array(
				array('phone-gallery', 'product-gallery'),
				array('phone-rating', 'product-rating'),
				array('phone-rating-total', 'product-rating-total'),
				array('phone-offers', 'product-offers'),
				array('offers-data', 'offers-data'),
				array('phone-features', 'product-features'),
				array('tabs', 'custom-tabs'),
				array('phone-comparison', 'product-comparison'),
				array('attr-general', 'attr-group1'),
				array('attr-design', 'attr-group2'),
				array('attr-network', 'attr-group3'),
				array('attr-display', 'attr-group4'),
				array('attr-media', 'attr-group5'),
				array('attr-camera', 'attr-group6'),
				array('attr-software', 'attr-group7'),
				array('attr-hardware', 'attr-group8'),
				array('attr-connectivity', 'attr-group9'),
				array('attr-data', 'attr-group10'),
				array('attr-messaging', 'attr-group11'),
				array('attr-battery', 'attr-group12')
			);
			
			// change meta keys
			foreach ($meta_keys as $key) {
				$wpdb->query( $wpdb->prepare("UPDATE `" .$wpdb->postmeta ."` SET  `meta_key` =  'aps-" .$key[1] ."' WHERE `meta_key` = %s", 'ams-' .$key[0]) );
			}
			
			// update menu items
			$wpdb->query( $wpdb->prepare("UPDATE `" .$wpdb->postmeta ."` SET  `meta_value` =  'aps-brands' WHERE `meta_value` = %s", 'ams-brands') );
			
			// old comment meta keys
			$com_keys = array('review-rating', 'review-title');
			
			// change comment meta keys
			foreach ($com_keys as $key) {
				$wpdb->query( $wpdb->prepare("UPDATE `" .$wpdb->commentmeta ."` SET  `meta_key` =  'aps-" .$key ."' WHERE `meta_key` = %s", 'ams-' .$key) );
			}
			
			// change post type names
			// query params
			$args = array(
				'post_type' => 'ams-phones',
				'posts_per_page' => -1
			);
			
			$phones = new WP_Query($args);
			global $post;
			
			if ($phones->have_posts()) :
				while ($phones->have_posts()) :
					$phones->the_post();
					$update = array(
						'ID' => $post->ID,
						'post_type' => 'aps-products'
					);
					$updated = wp_update_post($update);
					
					if ($updated) {
						$general = get_post_meta($post->ID, 'aps-attr-group1', true);
						$general['device-type'] = $general['type'];
						$general['announced'] = '01-' .$general['announced'];
						$general['released'] = '01-' .$general['released'];
						update_post_meta($post->ID, 'aps-attr-group1', $general);
						
						$display = get_post_meta($post->ID, 'aps-attr-group4', true);
						$display['pixel-density'] = $display['density'];
						$display['touch-screen'] = $display['touchscreen'];
						update_post_meta($post->ID, 'aps-attr-group4', $display);
						
						$media = get_post_meta($post->ID, 'aps-attr-group5', true);
						$media['ring-tones'] = $media['ringtones'];
						update_post_meta($post->ID, 'aps-attr-group5', $media);
						
						$software = get_post_meta($post->ID, 'aps-attr-group7', true);
						$software['operating-system'] = $software['os'];
						$software['user-interface'] = $software['ui'];
						$software['java-support'] = $software['java'];
						update_post_meta($post->ID, 'aps-attr-group7', $software);
						
						$hardware = get_post_meta($post->ID, 'aps-attr-group8', true);
						$hardware['ram-memory-'] = $hardware['ram'];
						$hardware['internal-storage'] = $hardware['storage'];
						update_post_meta($post->ID, 'aps-attr-group8', $hardware);
						
						$connectivity = get_post_meta($post->ID, 'aps-attr-group9', true);
						$connectivity['wi-fi'] = $connectivity['wifi'];
						$connectivity['wi-fi-hotspot'] = $connectivity['wifi-hotspot'];
						$connectivity['wireless-charging'] = $connectivity['charging'];
						update_post_meta($post->ID, 'aps-attr-group9', $connectivity);
						
						$data = get_post_meta($post->ID, 'aps-attr-group10', true);
						$data['web-browser'] = $data['browser'];
						update_post_meta($post->ID, 'aps-attr-group10', $data);
						
						$features = get_post_meta($post->ID, 'aps-product-features', true);
						$new_features['feature1'] = $features['hardware']['cpu'];
						$new_features['feature2'] = $features['hardware']['ram'];
						$new_features['feature3'] = $features['hardware']['storage'];
						$new_features['feature4'] = $features['display']['type'] .', ' .$features['display']['size'];
						$new_features['feature5'] = $features['camera']['primary'];
						$new_features['feature6'] = $features['software']['os'];
						update_post_meta($post->ID, 'aps-product-features', $new_features);
					}
				endwhile;
			endif;
			// reset query data
			wp_reset_postdata();
			
			// query params
			$args = array(
				'post_type' => 'ams-comparisons',
				'posts_per_page' => -1
			);
			
			$comparisons = new WP_Query($args);
			
			if ($comparisons->have_posts()) :
				while ($comparisons->have_posts()) :
					$comparisons->the_post();
					$update = array(
						'ID' => $post->ID,
						'post_type' => 'aps-comparisons'
					);
					wp_update_post($update);
				endwhile;
			endif;
			// reset query data
			wp_reset_postdata();
			
			// update options names
			$options = array(
				array('aps-design', 'ams-design'),
				array('aps-settings', 'ams-settings'),
				array('aps-tabs', 'ams-tabs'),
				array('aps-zoom', 'ams-zoom'),
				array('aps-affiliates', 'ams-affiliates'),
				array('aps-gallery', 'ams-gallery')
			);
			
			foreach ($options as $option) {
				$wpdb->query( $wpdb->prepare("UPDATE `" .$wpdb->options ."` SET  `option_name` =  '" .$option[0] ."' WHERE `option_name` = %s", $option[1]) );
			}
			
			// delete options
			delete_option('ams_installed');
			delete_option('ams-terms-info');
			delete_option('ams-display');
			
			$success = true;
		} ?>
		<h2><span class="dashicons dashicons-admin-settings"></span> <?php _e('AMS To APS Converter', 'ams-text'); ?></h2>
		<div class="wrap">
			<div class="tab-container">
				<?php if ($success) { ?>
					<p>Congratulations, The convertion process is completed successfully, now please uninstall and delete "AMS To APS Converter: plugin.</p>
					<p>Install and activate APS Products plugin to make your site live with enhanced APS Products.</p>
				<?php } else { ?>
					<p>Convert everthing created with AMS Phone Specs plugin to the latest version of APS Products.</p>
					<p>Note: Before you continue please uninstall and delete old AMS plugin.</p>
					<form id="ams-design" class="ams-form" action="#" method="post">
						<input type="hidden" name="ams-nonce" value="<?php echo wp_create_nonce('ams_nonce'); ?>" />
						<input type="submit" class="button-primary" name="ams-to-aps" value="<?php _e('Convert', 'ams-text'); ?>" />
					</form>
				<?php } ?>
			</div>
		</div>
		<?php
	}